rem Windows batch for pamhyr windows version building
@ECHO ON

rem Python environment
python -m pip install -r ..\requirements.txt

rem Build windows version
pyinstaller ..\src\pamhyr.py -y

rem Copy data
mkdir dist\pamhyr\View\ui\ressources
mkdir dist\pamhyr\View\ui\Widgets

copy /y ..\src\View\ui\ressources\ dist\pamhyr\View\ui\ressources
copy /y ..\src\View\ui\Widgets\*.ui dist\pamhyr\View\ui\Widgets
copy /y ..\src\View\ui\*.ui dist\pamhyr\View\ui\
copy /y ..\src\lang\*.qm dist\pamhyr\lang\

rem Make installer
"C:\Program Files (x86)\NSIS\makensis.exe" pamhyr.nsi
